<?php
session_start();
// initializing variables
$name = "";
$username = "";
$email    = "";
$errors = array(); 

// connect to the database
require_once 'db_connection.php';

// REGISTER USER
if (isset($_POST['reg_user'])) {
  // receive all input values from the form
  $name = mysqli_real_escape_string($connect, $_POST['name']);
  $username = mysqli_real_escape_string($connect, $_POST['username']);
  $email = mysqli_real_escape_string($connect, $_POST['email']);
  $password_1 = mysqli_real_escape_string($connect, $_POST['password_1']);
  $password_2 = mysqli_real_escape_string($connect, $_POST['password_2']);

  if (empty($name)) { array_push($errors, "Name is required"); }
  if (empty($username)) { array_push($errors, "Username is required"); }
  if (empty($email)) { array_push($errors, "Email is required"); }
  if (empty($password_1)) { array_push($errors, "Password is required"); }
  if ($password_1 != $password_2) {
	array_push($errors, "The two passwords do not match");
  } 

  // first check the database to make sure 
  // a user does not already exist with the same username and/or email
  $user_check_query = "SELECT * FROM user WHERE username='$username' OR email='$email' LIMIT 1";
  $result = mysqli_query($connect, $user_check_query);
  $user = mysqli_fetch_assoc($result);
  
  if ($user) { // if user exists
    if ($user['username'] === $username) 
    {
      array_push($errors, "Username already exists");
    }

    if ($user['email'] === $email) 
    {
      array_push($errors, "Email already exists");
    }
  }

  // Finally, register user if there are no errors in the form
  if (count($errors) == 0) {
  	$password = md5($password_1);//encrypt the password before saving in the database

  	$query = "INSERT INTO user (name,username, email, password) 
  			  VALUES('$name','$username', '$email', '$password')";
  	if (mysqli_query($connect, $query)) {
       $_SESSION['username'] = $username;
    echo '<script>alert("Registration Done..!");</script>';
    header('location: login.php');
     }
  }
}

// ...
// ...

// LOGIN USER
if (isset($_POST['login_user'])) {
  $username = mysqli_real_escape_string($connect, $_POST['username']);
  $password = mysqli_real_escape_string($connect, $_POST['password']);

  if (empty($username)) 
  {
  	array_push($errors, "Username is required");
  }
  if (empty($password)) 
  {
  	array_push($errors, "Password is required");
  }

  if (count($errors) == 0) 
  {
  	$password = $password;
  	$query = "SELECT * FROM admin WHERE username='$username' AND password='$password'";
  	$results = mysqli_query($connect, $query);
  	if (mysqli_num_rows($results) == 1)
    {
      if (mysqli_query($connect, $query)) {
      $_SESSION['username'] = $username;
      header('location: main.php');
      echo '<script>alert("You are now logged in");</script>';
      }
  	}
    else 
    {
  		array_push($errors, "Wrong username/password combination");
  	}
  }
}

?>